<div class="card container-fluid" *ngIf="isReady >= 2">
  <form [formGroup]="form">
    <div class="card-header row" id="quiz-details">

        <h4 class="col-md-3">
            Quiz "{{quiz.title}}"
        </h4>
        <div class="dropdown col-md-1">
          <button class="btn btn-link down-toggle" data-toggle="dropdown" data-target="dropdown-rounds">
            <i class="fa fa-plus fa-2x"></i>
          </button>
          <ul class="dropdown-menu list-group" id="dropdown-rounds">
            <li class="list-group-item list-group-item-action" *ngFor="let round of availableRounds"  (click)="addRoundToQuiz(round)">
              {{round.title}}
            </li>
          </ul>
        </div>
        <div class="col-md-2">
          <span class="badge badge-primary badge-pill">Runden: {{quiz.rounds.length}}</span>
          <span *ngIf="runningRound.round.title.length" class="badge badge-primary badge-pill">"{{runningRound.round.title}}": {{runningRound.activatedQuestions.length}} Aktive Fragen</span>
        </div>
        
        
        <div class="dropdown col-md-1">
          <button class="btn btn-link down-toggle" data-toggle="dropdown" data-target="dropdown-rounds" >
            <i class="fa fa-compass"></i> Reset Quiz
          </button>
          <ul class="dropdown-menu list-group" id="dropdown-rounds">
            <li class="list-group-item list-group-item-action"  (click)="resetQuiz(quiz, ['teams'] )">
              Reset Teams
            </li>
            <li class="list-group-item list-group-item-action"  (click)="resetQuiz(quiz, ['rounds'] )">
              Reset Rounds 
            </li>
            <li class="list-group-item list-group-item-action"  (click)="resetQuiz(quiz, ['guesses'] )">
              Reset Guesses 
            </li>
            <li class="list-group-item list-group-item-action"  (click)="resetQuiz(quiz, ['rounds', 'teams','guesses'] )">
              Reset All
            </li>
          </ul>
        </div>
        <div class="col-md-5" id="link">
          
          <label for="basic-url">Shareable Link to this Quiz</label>
          <div class="input-group sm-3">
            <div class="input-group-prepend">
              <span class="input-group-text" id="basic-addon3">www.quizzalicious.de/quiz/</span>
            </div>
            <input type="text" class="form-control" formControlName="shortlink" id="basic-url" aria-describedby="basic-addon3"  >
            <div class="input-group-append">
              <button class="btn" *ngIf="link" [disabled]="!form.get('shortlink').value.length" (click)="updateShortlink(form.get('shortlink').value)" >Visit User View</button>
            </div>
          </div>
          
          
        </div>

    </div>
    <div class="card-body">
    
      
        
      <div class="card noHover" *ngFor="let qRound of quiz.rounds; index as i" [class.closed]="qRound.isClosed" >
        <div id="accordion">
          <div class="card-header fluid-container" id="headingOne">
            <div class="row">
              <div class="col-md-10">
                <button class="btn btn-link d-inline" data-toggle="collapse" [attr.data-target]="'#collapse'+ qRound.round.id">
                  <i class="fa fa-angle-down fa-3x"></i>
                </button>
                <h5 class="d-inline">
                  Runde {{i+1}} "{{qRound.round.title}}"
                </h5>

                <span class="badge badge-primary badge-pill">{{qRound.round.questions.length}}</span>
                
                <button class="btn btn-link d-inline" (click)="toggleRound(qRound)">
                  <i class="fa fa-window-close"></i> Close Round
                </button>
                <button class="btn btn-link d-inline" [routerLink]="['../check-answers']">
                  <i class="fa fa-check-square"></i> Check Answers
            
                </button>
              </div>
              <div class="col-md-2">
                <button class="btn btn-link btn-outline-secondary d-inline" (click)="removeRoundFromQuiz(qRound)">
                  <i class="fa fa-times fa-3x"></i>
                </button>
              </div>
            </div>
          </div>
    
      
          <div [attr.id]="'collapse'+ qRound.round.id" class="collapse" aria-labelledby="headingOne" data-parent="#accordion" >
            <div class="card-body">
              
                <div class="list-group list-group-flush fluid-container">
                    <div  class="row list-group-item list-group-item-action" *ngFor="let question of qRound.round.questions" 
                      [class.active]="isActive(question)">
                      <div class="row" style="width:100%">
                        <div class="col-md-8" >
                          <div class="question-content d-inline">
                            {{findQuestionNr(qRound, question)}}: {{question.content}} 
                          </div>
                        </div> 
                        <div class="dropdown col-md-1">
                          <span class="d-inline badge badge-primary badge-pill dropbtn">Guesses: {{guessesOfQuestion(question).length}}</span>
                          <div class="dropdown-content">
                            <a *ngFor="let guess of guessesOfQuestion(question)" [class.correct]="guess.isCorrect" (click)="toggleCorrect(guess)">{{guess.content}}</a>
                            
                          </div>
                        </div>
                        <div class="col-md-2 activate-radio-group form-check form-check-inline d-inline">
                          <label class="activate-radio-group form-check-label" [attr.for]="'toggle-'+ question.id">
                                Activate  
                          </label>
                          <input class="activate-radio-group form-check-input" (click)="toggleActive(question)" [type]="toggleType" 
                              [formControlName]="'toggle-'+ question.id" 
                              [attr.id]="'toggle-'+ question.id" 
                              [checked]="isActive(question)">
                        </div>
                      </div>
                    </div>
                </div>  
    
            </div>
          </div>
        </div>
        
      </div>
    
    
    </div>
  </form>
</div>

